variables:
  DOCKERFILE: deploy/docker/Dockerfile

stages:
  - build
  - release

build:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:v1.9.0-debug
    entrypoint: [""]
  script:
    - /kaniko/executor
      --context "${CI_PROJECT_DIR}"
      --dockerfile "${CI_PROJECT_DIR}/$DOCKERFILE"
      --destination "${CI_REGISTRY_IMAGE}:${CI_COMMIT_TAG}"
  only:
    - main
    - tags
    - integration

helm_package:
  stage: release
  image: dtzar/helm-kubectl:3.10.1
  rules:
    - if: $CI_TASK == "helm_package" && $CHANNEL
  script:
    - helm dependency update deploy/helm/${CHANNEL}
    - helm package deploy/helm/${CHANNEL} -d deploy/helm/package/${CHANNEL}
    - export FILE_NAME=$(ls deploy/helm/package/${CHANNEL}/*.tgz)
    - 'curl --request POST --user gitlab-ci-token:$CI_JOB_TOKEN --form "chart=@${FILE_NAME}" "${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/helm/api/${CHANNEL}/charts"'

